# Class XmrAddressEntryList

#### Hierarchy

- unknown
  - XmrAddressEntryList

- Defined in src/protobuf/pb_pb.d.ts:5729
- Defined in src/protobuf/pb_pb.d.ts:5743

#####
Index

### Constructors

constructor

### Methods

addXmrAddressEntry
clearXmrAddressEntryList
getXmrAddressEntryList
serializeBinary
setXmrAddressEntryList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrAddressEntryList(): XmrAddressEntryList

- #### Returns XmrAddressEntryList

  Inherited from jspb.Message.constructor

## Methods

### addXmrAddressEntry

- addXmrAddressEntry(value?: XmrAddressEntry, index?: number): XmrAddressEntry

- #### Parameters

  - ##### `Optional` value: XmrAddressEntry

  - ##### `Optional` index: number

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5733

### clearXmrAddressEntryList

- clearXmrAddressEntryList(): XmrAddressEntryList

- #### Returns XmrAddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5732

### getXmrAddressEntryList

- getXmrAddressEntryList(): XmrAddressEntry[]

- #### Returns XmrAddressEntry[]

  - Defined in src/protobuf/pb_pb.d.ts:5730

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5735

### setXmrAddressEntryList

- setXmrAddressEntryList(value: XmrAddressEntry[]): XmrAddressEntryList

- #### Parameters

  - ##### value: XmrAddressEntry[]

  #### Returns XmrAddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5731

### toObject

- toObject(includeInstance?: boolean): XmrAddressEntryList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrAddressEntryList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5736

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrAddressEntryList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrAddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5739

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrAddressEntryList, reader: BinaryReader): XmrAddressEntryList

- #### Parameters

  - ##### message: XmrAddressEntryList

  - ##### reader: BinaryReader

  #### Returns XmrAddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5740

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrAddressEntryList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrAddressEntryList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5738

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrAddressEntryList): XmrAddressEntryList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrAddressEntryList

  #### Returns XmrAddressEntryList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5737

Generated using TypeDoc